### Function

# ECal ComponentAlarmRepeat new

since: 3.34

#### Declaration [src]

    ECalComponentAlarmRepeat*
    e_cal_component_alarm_repeat_new (
      gint repetitions,
      const ICalDuration* interval
    )

#### Description [src]

Creates a new `ECalComponentAlarmRepeat` describing alarm repetitions. The returned structure should be freed with e_cal_component_alarm_repeat_free(), when no longer needed.

Available since: 3.34

#### Parameters

`repetitions`

  Type: `gint`

  Number of extra repetitions, zero for none.

`interval`

  Type: `None`

  Interval between repetitions.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarmRepeat`

A newly allocated `ECalComponentAlarmRepeat`.

The caller of the function takes ownership of the data, and is responsible for freeing it.